GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::WriterInterface< W > Class Template Referenceabstract

`#include <stream.h>`

## Public Member Functions
virtual | ~WriterInterface ()
virtual bool | Write (const W &msg, const WriteOptions &options)=0
bool | Write (const W &msg)

## Constructor & Destructor Documentation

template<class W >

virtual grpc::WriterInterface< W >::~WriterInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

template<class W >

virtual bool grpc::WriterInterface< W >::Write | ( | const W & | msg,
|  | const WriteOptions & | options
| ) |  |
| pure virtual

Implemented in grpc::ServerReaderWriter< R, W >, grpc::ServerWriter< W >, grpc::ClientReaderWriter< R, W >, and grpc::ClientWriter< W >.

template<class W >

bool grpc::WriterInterface< W >::Write | ( | const W & | msg | ) |
| inline

The documentation for this class was generated from the following file:

- include/grpc++/stream.h